import 'package:rasadyar_core/core.dart';
import 'package:rasadyar_livestock/data/model/response/address/address.dart';
import 'package:rasadyar_livestock/data/model/response/live_tmp/livestock_model.dart';

abstract class LivestockRepository {
  Future<LocationDetails?> getLocationDetails({
    required double latitude,
    required double longitude,
  });

  Future<bool> createTaggingLiveStock({required LivestockData data});

  Future<List<LatLng>> getLocations();
  Future<void> addLocations(List<LatLng> latList);
}
